javax.swing.plaf.basic

## Class BasicCheckBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI
          - - javax.swing.plaf.basic.BasicCheckBoxUI

    public class BasicCheckBoxUI
    extends BasicRadioButtonUI

CheckboxUI implementation for BasicCheckboxUI

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

`icon`

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

### Constructor Summary

Constructors
Constructor and Description
`BasicCheckBoxUI()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ComponentUI` `createUI(JComponent b)`
`String` `getPropertyPrefix()`

### Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

`getDefaultIcon, getPreferredSize, installDefaults, installListeners, paint, paintFocus, uninstallDefaults, uninstallListeners`

### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

`getTextShiftOffset, paintIcon`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicCheckBoxUI

    public BasicCheckBoxUI()

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent b)

#### getPropertyPrefix

    public String getPropertyPrefix()

Overrides:
  `getPropertyPrefix` in class `BasicRadioButtonUI`